# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXNeighbors

Function

Returns the neighbors Array of a Field.

Syntax
`
#include <dx/dx.h>
`

Array DXNeighbors(Field f)

Functional Details

For a Field with irregular connections, returns the "neighbors" component of Field `f`. If it does not exist, it is computed and added to the Field before returning. Neighbors are not computed for connections with element type "lines."

For a Field with regular connections, returns `NULL` without setting the error code because neighbors in a regular grid can be implicitly determined without using additional memory. `DXQueryGridConnections` can be used to determine if the connections are regular or irregular.

The "neighbors" Array is used to indicate which connection elements share faces. For additional details on neighbors, see Chapter 3. "Understanding the Data Model" in IBM Visualization Data Explorer User's Guide.

Return Value

Returns the "neighbors" Array or returns `NULL` and sets an error code (unless the Field has regular or "line" connections., in which case no error code is set.

See Also

`DXQueryGridConnections`

"Standard Components".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]